// {{{RME classifier 'Logical View::InterfacesHw::CommExec_SenProx'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "CommExec_SenProx.h"
#endif

#include <RTSystem/VerificarObstaculo.h>
#include <CommExec_SenProx.h>

const RTProtocolDescriptor CommExec_SenProx::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &CommExec_SenProx::Conjugate::rt_class
  , "CommExec_SenProx"
  , 0
  , 3
  , CommExec_SenProx::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor CommExec_SenProx::Base::rt_signals[] =
{
	{
		"StatusSensProx"
	  , &RTType_bool
	  , CommExec_SenProx::Base::rti_StatusSensProx
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , CommExec_SenProx::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , CommExec_SenProx::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor CommExec_SenProx::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &CommExec_SenProx::Base::rt_class
  , "CommExec_SenProx"
  , 0
  , 3
  , CommExec_SenProx::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor CommExec_SenProx::Conjugate::rt_signals[] =
{
	{
		"PedidoStatus"
	  , &RTType_void
	  , CommExec_SenProx::Conjugate::rti_PedidoStatus
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , CommExec_SenProx::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , CommExec_SenProx::Conjugate::rti_rtUnbound
	}
};

// }}}RME
