// {{{RME classifier 'Logical View::InterfacesHw::CommHwSensorProximidade'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "CommHwSensorProximidade.h"
#endif

#include <RTSystem/VerificarObstaculo.h>
#include <CommHwSensorProximidade.h>

const RTProtocolDescriptor CommHwSensorProximidade::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &CommHwSensorProximidade::Conjugate::rt_class
  , "CommHwSensorProximidade"
  , 0
  , 3
  , CommHwSensorProximidade::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor CommHwSensorProximidade::Base::rt_signals[] =
{
	{
		"LeituraSensor"
	  , &RTType_bool
	  , CommHwSensorProximidade::Base::rti_LeituraSensor
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , CommHwSensorProximidade::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , CommHwSensorProximidade::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor CommHwSensorProximidade::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &CommHwSensorProximidade::Base::rt_class
  , "CommHwSensorProximidade"
  , 0
  , 3
  , CommHwSensorProximidade::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor CommHwSensorProximidade::Conjugate::rt_signals[] =
{
	{
		"PedidoLeitura"
	  , &RTType_void
	  , CommHwSensorProximidade::Conjugate::rti_PedidoLeitura
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , CommHwSensorProximidade::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , CommHwSensorProximidade::Conjugate::rti_rtUnbound
	}
};

// }}}RME
