// {{{RME classifier 'Logical View::XCapsulas::VerificarObstaculo'

#ifndef VerificarObstaculo_H
#define VerificarObstaculo_H

#ifdef PRAGMA
#pragma interface "VerificarObstaculo.h"
#endif

#include <RTSystem/VerificarObstaculo.h>
#include <CommExec_SenProx.h>
#include <CommHwSensorProximidade.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VerificarObstaculo;

#define SUPER RTActor
class VerificarObstaculo_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME
	// {{{RME classAttribute 'Obstruido'
	bool Obstruido;
	// }}}RME

protected:
	// {{{RME port 'PortSensProx'
	CommHwSensorProximidade::Conjugate PortSensProx;
	// }}}RME
	// {{{RME port 'PortTempo'
	Timing::Base PortTempo;
	// }}}RME
	// {{{RME port 'PortExec'
	CommExec_SenProx::Base PortExec;
	// }}}RME

public:
	VerificarObstaculo_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VerificarObstaculo_Actor( void );

private:
	// {{{RME operation 'LerSensor()'
	bool LerSensor( void );
	// }}}RME

public:
	// {{{RME operation 'InformarStatus()'
	bool InformarStatus( void );
	// }}}RME

private:
	// {{{RME operation 'Inicializar()'
	void Inicializar( void );
	// }}}RME

public:
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

private:
	INLINE_CHAINS void chain5_Initial( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];

public:
	static const RTFieldDescriptor rtg_VerificarObstaculo_fields[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VerificarObstaculo_H */

// }}}RME
